- Qt 5.15
- Qt Sensors
- C++ Classes
- QLightReading
- Qt 5.15.11 Reference Documentation

# QLightReading Class

The QLightReading class represents one reading from the light sensor. More...

Header: | #include <QLightReading>
qmake: | QT += sensors
Since: | Qt 5.1
Inherits: | QSensorReading

This class was introduced in Qt 5.1.

- List of all members, including inherited members

## Properties

- lux : const qreal

## Public Functions

qreal | lux() const
void | setLux(qreal lux)

## Detailed Description

#### QLightReading Units

The light sensor returns the intensity of the light in lux.

## Property Documentation

### lux : const qreal

This property holds the light level.

Measured as lux.

Access functions:

qreal | lux() const

See also QLightReading Units.

## Member Function Documentation

### void QLightReading::setLux(qreal lux)

Sets the light level to lux.

See also lux().